Bug 1268248 - Mingwfortran compiled programs hang on open statement
Mingwfortran compiled programs hang on open statement
Product: Fedora
Classification: Fedora
Component: mingw32-gcc (Show other bugs)
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-10-02 05:51 EDT by J.Jansen
Modified: 2016-07-19 15:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-07-19 15:19:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description J.Jansen 2015-10-02 05:51:19 EDT
Description of problem:Open statement does not work in compiled fortran programs
See also http://sourceforge.net/p/mingw-w64/bugs/487/
On the said website there is some indication that it might be solved in a newer version. Is it possible that packages of mingw32/64 been made for a newer version and placed in the testing repoitory?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.compile a program with the statement "open(file=xxx,status='old')"
2.run it on a windows machine

Actual results:
Program hangs

Expected results:
program opening the existing file

Additional info:
Comment 1 J.Jansen 2015-12-08 10:33:32 EST
Fedora 23 contains a version that compiles my programs correctly again.

Note that the version presently included in F22 is worthless in respect that no Fortran programs will work when an OPEN-statement is used (Are there usefull programs without???)

Comment 2 Fedora End Of Life 2016-07-19 15:19:28 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.